# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/CapabilityAgents/Alerts/test
# Build directory: /Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AlarmAlertTest.defaultAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlarmAlertTest" "--gtest_filter=AlarmAlertTest.defaultAudio")
add_test(AlarmAlertTest.shortAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlarmAlertTest" "--gtest_filter=AlarmAlertTest.shortAudio")
add_test(AlarmAlertTest.testGetTypeName "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlarmAlertTest" "--gtest_filter=AlarmAlertTest.testGetTypeName")
add_test(AlertSchedulerTest.initialize "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.initialize")
add_test(AlertSchedulerTest.updateGetFocus "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.updateGetFocus")
add_test(AlertSchedulerTest.scheduleAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.scheduleAlert")
add_test(AlertSchedulerTest.snoozeAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.snoozeAlert")
add_test(AlertSchedulerTest.deleteAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.deleteAlert")
add_test(AlertSchedulerTest.isAlertActive "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.isAlertActive")
add_test(AlertSchedulerTest.getContextInfo "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.getContextInfo")
add_test(AlertSchedulerTest.onLocalStop "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onLocalStop")
add_test(AlertSchedulerTest.clearData "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.clearData")
add_test(AlertSchedulerTest.clearDataLogout "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.clearDataLogout")
add_test(AlertSchedulerTest.shutdown "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.shutdown")
add_test(AlertSchedulerTest.onAlertStateChangeStartedInactiveAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeStartedInactiveAlert")
add_test(AlertSchedulerTest.onAlertStateChangeStartedActiveAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeStartedActiveAlert")
add_test(AlertSchedulerTest.onAlertStateChangeStopped "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeStopped")
add_test(AlertSchedulerTest.onAlertStateChangeCompleted "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeCompleted")
add_test(AlertSchedulerTest.onAlertStateChangeSnoozed "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeSnoozed")
add_test(AlertSchedulerTest.onAlertStateChangeErrorActiveAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeErrorActiveAlert")
add_test(AlertSchedulerTest.onAlertStateChangeErrorInactiveAlert "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertSchedulerTest" "--gtest_filter=AlertSchedulerTest.onAlertStateChangeErrorInactiveAlert")
add_test(AlertTest.defaultAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.defaultAudio")
add_test(AlertTest.defaultShortAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.defaultShortAudio")
add_test(AlertTest.testParseFromJsonHappyCase "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testParseFromJsonHappyCase")
add_test(AlertTest.testParseFromJsonMissingToken "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testParseFromJsonMissingToken")
add_test(AlertTest.testParseFromJsonMissingSchedTime "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testParseFromJsonMissingSchedTime")
add_test(AlertTest.testParseFromJsonBadSchedTimeFormat "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testParseFromJsonBadSchedTimeFormat")
add_test(AlertTest.testSetStateActive "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetStateActive")
add_test(AlertTest.testDeactivate "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testDeactivate")
add_test(AlertTest.testSetTimeISO8601 "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetTimeISO8601")
add_test(AlertTest.testSnoozeBadTime "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSnoozeBadTime")
add_test(AlertTest.testSnoozeHappyCase "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSnoozeHappyCase")
add_test(AlertTest.testSetLoopCountNegative "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetLoopCountNegative")
add_test(AlertTest.testSetLoopCountHappyCase "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetLoopCountHappyCase")
add_test(AlertTest.testSetLoopPause "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetLoopPause")
add_test(AlertTest.testSetBackgroundAssetId "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testSetBackgroundAssetId")
add_test(AlertTest.testIsPastDue "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testIsPastDue")
add_test(AlertTest.testStateToString "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testStateToString")
add_test(AlertTest.testStopReasonToString "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testStopReasonToString")
add_test(AlertTest.testParseFromJsonStatusToString "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/AlertTest" "--gtest_filter=AlertTest.testParseFromJsonStatusToString")
add_test(ReminderAlertTest.defaultAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/ReminderAlertTest" "--gtest_filter=ReminderAlertTest.defaultAudio")
add_test(ReminderAlertTest.shortAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/ReminderAlertTest" "--gtest_filter=ReminderAlertTest.shortAudio")
add_test(ReminderAlertTest.testGetTypeName "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/ReminderAlertTest" "--gtest_filter=ReminderAlertTest.testGetTypeName")
add_test(RendererTest.create "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.create")
add_test(RendererTest.start "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.start")
add_test(RendererTest.stop "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.stop")
add_test(RendererTest.stopError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.stopError")
add_test(RendererTest.onPlaybackStarted "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.onPlaybackStarted")
add_test(RendererTest.onPlaybackStopped "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.onPlaybackStopped")
add_test(RendererTest.onPlaybackFinished "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.onPlaybackFinished")
add_test(RendererTest.onPlaybackFinishedError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.onPlaybackFinishedError")
add_test(RendererTest.onPlaybackError "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/RendererTest" "--gtest_filter=RendererTest.onPlaybackError")
add_test(TimerAlertTest.defaultAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/TimerAlertTest" "--gtest_filter=TimerAlertTest.defaultAudio")
add_test(TimerAlertTest.shortAudio "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/TimerAlertTest" "--gtest_filter=TimerAlertTest.shortAudio")
add_test(TimerAlertTest.testGetTypeName "/Users/h/sdk-folder/sdk-build/CapabilityAgents/Alerts/test/TimerAlertTest" "--gtest_filter=TimerAlertTest.testGetTypeName")
